org.apache.lucene.index

## Class BaseTermVectorsFormatTestCase

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.lucene.index.BaseIndexFileFormatTestCase
      - - org.apache.lucene.index.BaseTermVectorsFormatTestCase

-     public abstract class BaseTermVectorsFormatTestCase
      extends BaseIndexFileFormatTestCase

  Base class aiming at testing `term vectors formats`. To test a new format, all you need is to register a new `Codec` which uses it and extend this class and override `BaseIndexFileFormatTestCase.getCodec()`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `BaseTermVectorsFormatTestCase.Options` A combination of term vectors options.
    `protected class` | `BaseTermVectorsFormatTestCase.RandomDocument`
    `protected class` | `BaseTermVectorsFormatTestCase.RandomDocumentFactory`
    `static class` | `BaseTermVectorsFormatTestCase.RandomTokenStream` Produces a random TokenStream based off of provided terms.

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.BaseIndexFileFormatTestCase

      `BaseIndexFileFormatTestCase.FileTrackingDirectoryWrapper, BaseIndexFileFormatTestCase.ReadBytesDirectoryWrapper`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Monster, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.SuppressFileSystems, LuceneTestCase.SuppressFsync, LuceneTestCase.SuppressReproduceLine, LuceneTestCase.SuppressSysoutChecks, LuceneTestCase.SuppressTempFileChecks, LuceneTestCase.ThrowingRunnable, LuceneTestCase.Weekly`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_BADAPPLES, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_MONSTER, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTermVectorsFormatTestCase()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Document` | `addId(Document doc, String id)`
    `protected void` | `addRandomFields(Document doc)` Add random fields to the provided document.
    `protected void` | `assertEquals(BaseTermVectorsFormatTestCase.RandomDocument doc, Fields fields)`
    `protected void` | `assertEquals(BaseTermVectorsFormatTestCase.RandomTokenStream tk, FieldType ft, Terms terms)`
    `protected int` | `docID(IndexReader reader, String id)`
    `protected static boolean` | `equals(Object o1, Object o2)`
    `protected FieldType` | `fieldType(BaseTermVectorsFormatTestCase.Options options)`
    `protected BaseTermVectorsFormatTestCase.Options` | `randomOptions()`
    `void` | `testClone()`
    `void` | `testHighFreqs()`
    `void` | `testLotsOfFields()`
    `void` | `testMerge()`
    `void` | `testMixedOptions()`
    `void` | `testPostingsEnumAll()`
    `void` | `testPostingsEnumFreqs()`
    `void` | `testPostingsEnumOffsets()`
    `void` | `testPostingsEnumOffsetsWithoutPositions()`
    `void` | `testPostingsEnumPayloads()`
    `void` | `testPostingsEnumPositions()`
    `void` | `testRandom()`
    `void` | `testRareVectors()`
    `protected Set<BaseTermVectorsFormatTestCase.Options>` | `validOptions()`

    - ### Methods inherited from class org.apache.lucene.index.BaseIndexFileFormatTestCase

      `applyCreatedVersionMajor, excludedExtensionsFromByteCounts, getCodec, getCreatedVersionMajor, maybeWrapWithMergingReader, mergeIsStable, setUp, shouldTestMergeInstance, tearDown, testCheckIntegrityReadsAllBytes, testMergeStability, testMultiClose, testRamBytesUsed, testRandomExceptions`

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, assumeWorkingMMapOnWindows, atLeast, atLeast, callStackContains, callStackContains, callStackContainsAnyOf, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, ensureSaneIWCOnNightly, expectThrows, expectThrows, expectThrows, expectThrowsAnyOf, expectThrowsAnyOf, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, hasWorkingMMapOnWindows, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newBytesRef, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setupCPUCoreCount, setupSpins, slowFileExists, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertThrows, assertThrows, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseTermVectorsFormatTestCase

          public BaseTermVectorsFormatTestCase()

  - ### Method Detail

    - #### validOptions

          protected Set<BaseTermVectorsFormatTestCase.Options> validOptions()

    - #### randomOptions

          protected BaseTermVectorsFormatTestCase.Options randomOptions()

    - #### fieldType

          protected FieldType fieldType(BaseTermVectorsFormatTestCase.Options options)

    - #### addRandomFields

          protected void addRandomFields(Document doc)

      Description copied from class: `BaseIndexFileFormatTestCase`
      Add random fields to the provided document.
      Specified by:
        `addRandomFields` in class `BaseIndexFileFormatTestCase`

    - #### assertEquals

          protected void assertEquals(BaseTermVectorsFormatTestCase.RandomDocument doc,
                                      Fields fields)
                               throws IOException

      Throws:
        `IOException`

    - #### equals

          protected static boolean equals(Object o1,
                                          Object o2)

    - #### assertEquals

          protected void assertEquals(BaseTermVectorsFormatTestCase.RandomTokenStream tk,
                                      FieldType ft,
                                      Terms terms)
                               throws IOException

      Throws:
        `IOException`

    - #### addId

          protected Document addId(Document doc,
                                   String id)

    - #### docID

          protected int docID(IndexReader reader,
                              String id)
                       throws IOException

      Throws:
        `IOException`

    - #### testRareVectors

          public void testRareVectors()
                               throws IOException

      Throws:
        `IOException`

    - #### testHighFreqs

          public void testHighFreqs()
                             throws IOException

      Throws:
        `IOException`

    - #### testLotsOfFields

          @LuceneTestCase.Slow
          public void testLotsOfFields()
                                                     throws IOException

      Throws:
        `IOException`

    - #### testMixedOptions

          public void testMixedOptions()
                                throws IOException

      Throws:
        `IOException`

    - #### testRandom

          public void testRandom()
                          throws IOException

      Throws:
        `IOException`

    - #### testMerge

          public void testMerge()
                         throws IOException

      Throws:
        `IOException`

    - #### testClone

          public void testClone()
                         throws IOException,
                                InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### testPostingsEnumFreqs

          public void testPostingsEnumFreqs()
                                     throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumPositions

          public void testPostingsEnumPositions()
                                         throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumOffsets

          public void testPostingsEnumOffsets()
                                       throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumOffsetsWithoutPositions

          public void testPostingsEnumOffsetsWithoutPositions()
                                                       throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumPayloads

          public void testPostingsEnumPayloads()
                                        throws Exception

      Throws:
        `Exception`

    - #### testPostingsEnumAll

          public void testPostingsEnumAll()
                                   throws Exception

      Throws:
        `Exception`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.